org.opencv.structured_light

## Class SinusoidalPattern

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.structured_light.StructuredLightPattern
    - - org.opencv.structured_light.SinusoidalPattern

-     public class SinusoidalPattern
      extends StructuredLightPattern

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SinusoidalPattern(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SinusoidalPattern` | `__fromPtr__(long addr)`
    `void` | `computeDataModulationTerm(java.util.List<Mat> patternImages, Mat dataModulationTerm, Mat shadowMask)`
    `void` | `computePhaseMap(java.util.List<Mat> patternImages, Mat wrappedPhaseMap)`
    `void` | `computePhaseMap(java.util.List<Mat> patternImages, Mat wrappedPhaseMap, Mat shadowMask, Mat fundamental)`
    `static SinusoidalPattern` | `create()`
    `protected void` | `finalize()`
    `void` | `findProCamMatches(Mat projUnwrappedPhaseMap, Mat camUnwrappedPhaseMap, java.util.List<Mat> matches)`
    `void` | `unwrapPhaseMap(java.util.List<Mat> wrappedPhaseMap, Mat unwrappedPhaseMap, Size camSize)`
    `void` | `unwrapPhaseMap(java.util.List<Mat> wrappedPhaseMap, Mat unwrappedPhaseMap, Size camSize, Mat shadowMask)`

    - ### Methods inherited from class org.opencv.structured_light.StructuredLightPattern

      `generate`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SinusoidalPattern

          protected SinusoidalPattern(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static SinusoidalPattern __fromPtr__(long addr)

    - #### create

          public static SinusoidalPattern create()

    - #### computeDataModulationTerm

          public void computeDataModulationTerm(java.util.List<Mat> patternImages,
                                                Mat dataModulationTerm,
                                                Mat shadowMask)

    - #### computePhaseMap

          public void computePhaseMap(java.util.List<Mat> patternImages,
                                      Mat wrappedPhaseMap,
                                      Mat shadowMask,
                                      Mat fundamental)

    - #### computePhaseMap

          public void computePhaseMap(java.util.List<Mat> patternImages,
                                      Mat wrappedPhaseMap)

    - #### findProCamMatches

          public void findProCamMatches(Mat projUnwrappedPhaseMap,
                                        Mat camUnwrappedPhaseMap,
                                        java.util.List<Mat> matches)

    - #### unwrapPhaseMap

          public void unwrapPhaseMap(java.util.List<Mat> wrappedPhaseMap,
                                     Mat unwrappedPhaseMap,
                                     Size camSize,
                                     Mat shadowMask)

    - #### unwrapPhaseMap

          public void unwrapPhaseMap(java.util.List<Mat> wrappedPhaseMap,
                                     Mat unwrappedPhaseMap,
                                     Size camSize)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `StructuredLightPattern`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1